<?php
/* Mantenimiento de los registros de la tabla cr_pedido_prestamo redefinidos por el usaurio */
class Cr_pedido_prestamoDP extends BaseCr_pedido_prestamoDP
{
    public static function getNextId()
    {
        $s_Sql = "SELECT IF( MAX( idpedido ) IS NULL, 1, MAX( idpedido ) + 1 ) I_ID FROM cr_pedido_prestamo;";
        $o_Resource = Conexion2::getConexion()->getResource();
        $o_SQLResult = mysql_query( $s_Sql, $o_Resource );
        if( $o_SQLResult )
        {
            $a_SQLRow = mysql_fetch_object( $o_SQLResult );
            return ( int ) $a_SQLRow->I_ID;
        }
        return 1;
    }
}
?>